For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
          • V3
              • GETList Customers
              • POSTCreate Customers
              • PUTUpdate Customers
              • DELDelete Customers
                • GETGet Customer Consent
                • PUTUpdate Customer Consent
          • V2
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomersV3Consent

Get Customer Consent

GET
https://api.bigcommerce.com/stores/:store_hash/v3/customers/:customerId/consent
GET
/stores/:store_hash/v3/customers/:customerId/consent
$curl https://api.bigcommerce.com/stores/store_hash/v3/customers/1/consent \
> -H "X-Auth-Token: <apiKey>"
1{
2 "allow": [
3 "essential",
4 "targeting",
5 "functional"
6 ],
7 "deny": [
8 "analytics"
9 ],
10 "updated_at": "2024-01-15T09:30:00Z"
11}

Gets the status of a customerʼs consent to allow data collection by cookies and scripts while shopping on a storefront.

Was this page helpful?
Previous

Update Customer Settings per Channel

Next

Update Customer Consent

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

customerIdintegerRequired
The ID of the customer.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Response

allowlist of enums
Allowed values:
denylist of enums
Allowed values:
updated_atdatetime

The date of which the customer consent was last updated.

NOTE

Currently, this field returns the time of the current API Call, not the time of last update. For PUT requests, this is typically accurate; however, it will not be accurate for GET requests.

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.